<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Negociações</title>
    <link rel="stylesheet" href="css/bootstrap.css">
    <link rel="stylesheet" href="css/bootstrap-theme.css">

    <script src="js/app/polyFill/es6.js"></script>
    
</head>
<body class="container">
    
    <h1 class="text-center">Negociações</h1>

    <div id="mensagemView"></div></div>
    
    <form class="form" onsubmit="negociacaoController.adiciona(event)">
        
        <div class="form-group">
            <label for="data">Data</label>
            <input type="text" placeholder="dd/mm/aaaa" id="data" class="form-control" required autofocus/>        
        </div>    
        
        <div class="form-group">
            <label for="quantidade">Quantidade</label>
            <input type="number" min="1" step="1" id="quantidade" class="form-control" value="1" required/>
        </div>
        
        <div class="form-group">
            <label for="valor">Valor</label>
            <input id="valor" type="number" class="form-control"  min="0.01" step="0.01" value="0.0" required />
        </div>
        
        <button class="btn btn-primary" type="submit">Inserir</button>
    </form>

    <div class="text-center">
        <button class="btn btn-primary text-center" onclick="negociacaoController.importaNegociacoes()" type="button">
            Importar Negociações
        </button>
        <button class="btn btn-primary text-center" type="button" onClick="negociacaoController.apagar()">
            Apagar
        </button>
    </div> 
    <br>
    <br>

    <div id='negociacoesView'></div>
    
    <script src="js/app/helpers/Bind.js"></script>
    <script src="js/app/views/View.js"></script>
    <script src="js/app/models/Mensagem.js"></script>
    <script src="js/app/models/ConversorXML.js"></script>
    <script src="js/app/models/Negociacao.js"></script>
    <script src="js/app/models/ListaNegociacoes.js"></script>
    <script src="js/app/controllers/NegociacaoController.js"></script>
    <script src="js/app/helpers/DateHelper.js"></script>
    <script src="js/app/views/NegociacoesView.js"></script>
    <script src="js/app/views/MensagemView.js"></script>
    <script src="js/app/services/ProxyFactory.js"></script>
    <script src="js/app/services/NegociacaoService.js"></script>
    <script src="js/app/services/HttpService.js"></script>
    
    
    
    <script>
        var negociacaoController = new NegociacaoController();
    </script>

</body>
</html>